Bug 54931 - Updates to windows-service-howto to include support for installing multiple windows services
Updates to windows-service-howto to include support for installing multiple w...
Status: RESOLVED FIXED
Product: Tomcat 7
Classification: Unclassified
Component: Documentation
trunk
All All
: P2 minor (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2013-05-06 11:10 UTC by chris
Modified: 2013-05-28 09:44 UTC (History)
0 users



Attachments
Diff file for windows-service-howto (18.50 KB, patch)
2013-05-06 11:10 UTC, chris
Details | Diff
xml diff file as requested (3.19 KB, patch)
2013-05-27 22:57 UTC, chris
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description chris 2013-05-06 11:10:15 UTC
Created attachment 30257 [details]
Diff file for windows-service-howto

The existing documentation does not explain how to use service.bat to install multiple services on windows. I attach a diff which makes changes that I suggest as included. The diff updates existing entries to include explanation of the 2nd service parameter which allows a service to be named, and creates a new section that explains how to install multiple services.
Comment 1 Mark Thomas 2013-05-27 21:20:47 UTC
Comment on attachment 30257 [details]
Diff file for windows-service-howto

Fix MIME type
Comment 2 Mark Thomas 2013-05-27 21:23:46 UTC
The HTML is not the source. The source is the XML. The HTML is generated from the source.

Please could you provide your suggested changes as a patch in diff - u format against this file:
http://svn.apache.org/repos/asf/tomcat/trunk/webapps/docs/windows-service-howto.xml
Comment 3 chris 2013-05-27 22:57:13 UTC
Created attachment 30331 [details]
xml diff file as requested
Comment 4 Mark Thomas 2013-05-28 09:44:37 UTC
Thanks for the updated patch. I have applied it with a number of small changes to trunk and 7.0.x. It will be included in 7.0.41 onwards.